body { 
  background: #161523 !important; 
   background-color: #161523 !important; 
  /* background: linear-gradient(90deg, rgb(22 21 35 / 50%) 0%, rgb(22 21 35 / 50%) 100%) !important; */
}
.fs-23 { font-size: 23px; }
.box-shadow-dark { box-shadow: 0px 4px 4px 0px rgb(0 0 0) !important;}
.sub-bg {
  background: #161523 !important;  background-color: #161523 !important; 
  /* background: linear-gradient(90deg, rgb(22 21 35 / 50%) 0%, rgb(22 21 35 / 50%) 100%) !important; */
}
.main-bg {  background: #161523 !important;  background-color: #161523 !important;  }

body > main > header > div.container.ontop > div > div.col-12.mb-40.mt-20.hm-vdo { 
  /* box-shadow: 0 0.5rem 1rem rgb(255 255 255 / 15%) !important;  */
    /* box-shadow: rgb(112 112 112) 0px 14px 8px -10px; */
}

.theme-color{    background: linear-gradient(to right, #573885, #ec4899, #db7e61) padding-box, linear-gradient(90deg, #573885, #ec4899, #db7e61) border-box;
    -webkit-background-clip: text; -webkit-text-fill-color: transparent; display: inline-block; position: relative; }

.theme-border { position: relative; }
.theme-border::before {
    /* content: "";
    position: absolute;
    top: 70%;
    left: 100%;
    width: 25px;
    height: 1px;
    margin-left: 5px;
    background: #573885;
    transform: translateY(-50%) rotate(52deg); */
}
.theme-border::after {
        content: "";
    position: absolute;
    top: 65%;
    left: 100%;
    width: 300px;
    height: 24px;
    margin-left: 25px;
    transform: translateY(-50%);
    background: url(https://spztechnology.com/assets/theme-border.png) no-repeat !important;
    background-size: contain !important;
}
.theme-center-border { display: inline-block; position: relative; }
.theme-center-border::after {
    content: "";
    position: absolute;
    bottom: -3px;
    left: 0px;
    right: 0px;
    height: 1px;
    background: linear-gradient(90deg, #573885, #ec4899, #db7e61);
}
.butn.butn-bord {
    background: linear-gradient(to right, #573885, #ec4899, #db7e61) !important;
    box-shadow: 0px 4px 4px 0px rgb(0 0 0) !important;
}
.butn.butn-bord:hover {
    background: #fff !important;
    color: #000;
}

.subscribe input {
    border-image: linear-gradient(to right, rgb(87 56 133), rgb(236 72 153), rgb(219 126 97)) 1 !important;
}
.bord-thin-top { border-image: linear-gradient(to right, rgb(87 56 133), rgb(236 72 153), rgb(219 126 97)) 1 !important; }
.contact-crev input, .contact-crev textarea { border-radius: 24px !important;
    background: linear-gradient(rgb(27, 26, 43), rgb(27, 26, 43)) padding-box padding-box, linear-gradient(to right, rgb(87, 56, 133), rgb(236, 72, 153), rgb(219, 126, 97)) border-box border-box;
    border-width: 1px !important;
    border-style: solid !important;
    border-color: transparent !important;
    border-image: initial !important;     box-shadow: 0px 4px 4px 0px rgb(0 0 0) !important; }
.main-marq { overflow: hidden; white-space: nowrap; }

.slide-har .box { display: inline-flex; gap: 40px; animation: slide-har 80s linear infinite; text-transform: uppercase; }

@keyframes slide-har {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-50%);
    }
}


.butn.butn-bg, .serv-img-reveal .block__title { border: 1px solid rgb(255 255 255 / 0%); background: #1b1a2b; margin-bottom: 20px !important;
    padding: 14px 10px 9px !important; border-radius: 16px; position: relative; text-align: center; box-shadow: 0px 4px 4px 0px rgb(0 0 0) !important; }

.butn.butn-bg, .serv-img-reveal .block__title::after { content: "" !important;
    position: absolute !important;
    left: 40% !important;
    bottom: -1px !important;
    width: 10% !important;
    height: 1px !important;
    margin-left: 25px !important;
    background: linear-gradient(90deg, #573885, #ec4899, #db7e61) !important;
    transform: translateY(-50%) !important;
    z-index: 10000 !important;}
.butn.butn-bg, .serv-img-reveal .block__title:hover::after { display: none; }

.butn.butn-bg, .serv-img-reveal .block__title .arrow { display: none;
    /* position: absolute; bottom: -42px; left: 46%; transform: rotate(135deg);  */
}
.butn.butn-bg, .serv-img-reveal .block__title .arrow .circle svg { width: 40px !important; height: 40px !important; }

.butn.butn-bg, .serv-img-reveal .block__title .d-flex.align-items-center { display: block !important;}
.butn.butn-bg, .serv-img-reveal .block__title .d-flex.align-items-center .mr-80 { display: none;}


.butn.butn-bg, .serv-img-reveal .block__title .d-flex.align-items-center h5 { font-size:20px !important; }



.marquee{
width:100%;
overflow:hidden;
background:#161523;
padding:15px 0;  margin-bottom: 0px;
}

.marquee-track{
display:flex;
/* white-space:nowrap;  */
}

.marquee-item{
padding:0 20px; flex-shrink:0; max-width: 100%; width: 100%;
}



.sideimg-numbers .bg-left {
    padding: 0px !important;
    margin-bottom: 40px; position: relative;
    top: 0px;
    left: 0px;     width: 100% !important;
}
.animations_video { width: 100% !important;}


.fb-video.fb_iframe_widget.fb_iframe_widget_fluid_desktop span {
    width: 100% !important;
    height: auto !important;
}
.fb-video.fb_iframe_widget.fb_iframe_widget_fluid_desktop span > iframe { width: 100% !important; height: 100vh; }
/* .sec-head h2 {
    background: linear-gradient(to right, #573885, #db7e61) padding-box, linear-gradient(90deg, #573885, #db7e61) border-box;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;     display: inline-block; position: relative;
}
.sec-head h2::after{
content: "";
    position: absolute;
    top: 73.2%;
    left: 104.9%;
    width: 300px;
    height: 1px;
    background: linear-gradient(90deg, #573885, #ec4899, #db7e61);
}

.sec-head h2::before{
    content: "";
    position: absolute;
    top: 64%;
    left: 101%;
    width: 20px;
    height: 1px;
    background: linear-gradient(90deg, #7c3aed, #7c3aed);
    transform: rotate(38deg);
} */


.sec-head h2{
    background: linear-gradient(to right, #573885, #ec4899, #db7e61) padding-box, linear-gradient(90deg, #573885, #ec4899, #db7e61) border-box;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;

    display: inline-block;
    position: relative;
}

/* angled small line */
.sec-head h2::before{
    content: "";
    position: absolute;
    top: 70%;
    left: 100%;
    width: 25px;
    height: 1px;
    margin-left: 5px;
    background: #573885;
    transform: translateY(-50%) rotate(52deg);
}

/* long gradient line */
.sec-head h2::after{
    content: "";
    position: absolute;
    top: 85%;
    left: 100%;
    width: 300px;
    height: 1px;
    margin-left: 25px;
    background: linear-gradient(90deg, #573885, #ec4899, #db7e61);
    transform: translateY(-50%);
}


.gradient-corporate {
    background: linear-gradient(to right, #573885, #ec4899, #db7e61) padding-box, linear-gradient(90deg, #573885, #ec4899, #db7e61) border-box !important;
    -webkit-background-clip: text !important;
    -webkit-text-fill-color: transparent !important;     display: inline-block; position: relative;
}
.gradient-text a {
     background: linear-gradient(to right, #573885, #ec4899, #db7e61) padding-box, linear-gradient(90deg, #573885, #ec4899, #db7e61) border-box !important;
    -webkit-background-clip: text !important;
    -webkit-text-fill-color: transparent !important;     display: inline-block; position: relative;
}

.gradient-corporate::after{
    content: "";
    position: absolute;
    bottom: -3px;
    left: 0px;
    right: 0px;
    height: 1px;
    background: linear-gradient(90deg, #573885, #ec4899, #db7e61);
}

.testim-clasic .item .author-info {     border-image: linear-gradient(to top,#573885, #ec4899, #db7e61) 1 !important;}
.testim-clasic .item .author-info .arrow:before { 
    border-image: linear-gradient(to right, #573885, #ec4899) 1 !important;
}

.testim-clasic .item .author-info .arrow:after {
    border-image: linear-gradient(to right, #ec4899, #db7e61) 1 !important;
}
.serv-img-reveal .block__title { transition: 0.5s ease; }
.serv-img-reveal .block__title:hover { transition: 0.3s ease;  border: 1px solid transparent !important;  
    border-radius: 16px; margin-top: -5px;
    
    background: 
        linear-gradient(#1b1a2b, #1b1a2b) padding-box,
        linear-gradient(to right, #573885, #ec4899, #db7e61) border-box; }

.blog-modern { background-image: url(https://spztechnology.com/assets/blog_bg.jpg) !important; 
    background-size: cover !important;
    background-repeat: no-repeat !important;
    /* background-attachment: fixed !important; */
    z-index: 10000 !important;
    position: relative;     padding-top: 100px !important;
 }

 .blog-modern .item .img img {
    -webkit-box-shadow: 0px 4px 4px 0px rgb(0 0 0);
-moz-box-shadow: 0px 4px 4px 0px rgb(0 0 0);
box-shadow: 0px 4px 4px 0px rgb(0 0 0); border-radius: 16px !important;
}

.work-carsouel.full-height .swiper-slide .img { margin-bottom: 15px; }
.swiper-slide .item .img img { -webkit-box-shadow: 10px 10px 10px -7px rgba(0,0,0,1);
-moz-box-shadow: 10px 10px 10px -7px rgba(0,0,0,1);
box-shadow: 10px 10px 10px -7px rgba(0,0,0,1);
}
.header-main-crev .bg-pattern {   background-image: url(https://spztechnology.com/assets/graph.png) !important; background-repeat: repeat !important;
    background-size: auto !important; }


.top-gradient {      
      /* background-image: url(https://spztechnology.com/assets/transparent.png) !important;
    background-repeat: no-repeat !important;
    height: 50px; */
    position: absolute;
    top: 0px;
    z-index: 100;
    left: 0px;
    right: 0px;
    background-size: cover; } 

.top-gradient img {  max-height: 70px; }

.text-stroke-v { font-size: 200px !important; }




.animationDiv {
  position: relative;
  /* min-height: 100px; */
  margin-bottom: 40px;
}
.animationtext h2 {
  display: flex;
  position: relative; /* 👈 MUST */
  display: inline-block;
}
.word {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  /* white-space: pre; */
  
}
.letter {
  display: inline-block;
  position: relative;
  transform: translateZ(25px);
  transform-origin: 50% 50% 25px;
}
.letter.out {
  transform: rotateX(90deg);
  transition: transform 0.32s cubic-bezier(0.55, 0.055, 0.675, 0.19);
}
.letter.behind {
  transform: rotateX(-90deg);
}
.letter.in {
  transform: rotateX(0deg);
  transition: transform 0.38s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}




/********************************************/

.carousel_video_div { margin-bottom: 50px; }
.carousel_video_div .carousel-caption {
    position: relative;
    right: 0%;
    bottom: 0rem;
    left: 0%;
    padding-top: 2rem;
    padding-bottom: 3.25rem;
    color: #fff;
    text-align: left;
}
.carousel_video_div img, .carousel_video_div video {
    width: 100%;
    height: auto;
    object-fit: cover; border-radius: 24px; box-shadow: 0px 4px 4px 0px rgb(0 0 0) !important;
}

.carousel_video_div .carousel-indicators [data-bs-target] {
    width: 10px;
    height: 10px;
    border-radius: 100%; }

.carousel_video_div .carousel-indicators { 
    position: relative;
    /* position: relative; margin: 0px; padding: 0px; float: right;  */
}

.carousel_video_div .carousel-indicators .active { background: #8a2371 !important;
    margin-top: 9px;
    border: none;
    height: 11px;
    width: 11px; }


.vast-word-animation .letter.in, .vast-word-animation .letter.out {
    background: linear-gradient(to right, #573885, #ec4899, #db7e61) padding-box, linear-gradient(90deg, #573885, #ec4899, #db7e61) border-box !important;
    -webkit-background-clip: text !important;
    -webkit-text-fill-color: transparent !important;
    display: inline-block;
}
.vast-word-animation h2 { font-size: 170px; }

.center-word-animation { margin-bottom: 70px; }
.center-word-animation .animationDiv {
    margin-bottom: 70px !important;
}
.center-word-animation .animationtext h2 { display: block !important; }
.center-word-animation .animationtext h2 .word { right: 0px; }


.carousel_video_div .carousel-item:not(.active) {
    transition-delay: 0.2s !important;
}

.carousel_video_div .carousel-item {
     transition: opacity 0.2s ease-in !important; 
}

.swiper-slide .item .video-box img, .swiper-slide .item .video-box video { border-radius: 24px; box-shadow: 6px 10px 4px -8px rgb(0 0 0) !important; }

.sec-lg-head .dot-titl-non { border: 1px solid transparent !important; border-radius: 16px; box-shadow: 0px 4px 4px 0px rgb(0 0 0) !important;
    background: linear-gradient(#161523, #23212e) padding-box, linear-gradient(to right, #573885, #ec4899, #db7e61) border-box; }
.contact-modal { border-image: linear-gradient(to right, rgb(87 56 133), rgb(236 72 153), rgb(219 126 97)) 1; }

.header-main-crev .caption { border-image: linear-gradient(to top, rgb(87 56 133), rgb(236 72 153), rgb(219 126 97)) 1;  }

.header-main-crev .hm-vdo { border-radius: 50px;  
    /* box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15) !important; */
    box-shadow: 0px 4px 4px 0px rgb(0 0 0) !important;
    border: 1px solid transparent !important;
    background: linear-gradient(#161523, #23212e) padding-box, linear-gradient(to right, #573885, #ec4899, #db7e61) border-box;
}
.header-main-crev .vast-visual-video { border-radius: 50px; }

.serv-box .serv-item, .services .item-bord2 {
    padding: 60px 40px;
    border: 1px solid rgba(255, 255, 255, 0.1);
    /* background: linear-gradient(140deg, #573885, #ec4899, #db7e61) padding-box, linear-gradient(140deg, #573885, #ec4899, #db7e61) border-box; */
    background: linear-gradient(#161523, #23212e) padding-box, linear-gradient(to right, #573885, #ec4899, #db7e61) border-box;
    position: relative; transition: 0.5s ease; box-shadow: 0px 4px 4px 0px rgb(0 0 0) !important;
}
.serv-box .serv-item, .services .item-bord2:hover { margin-top: -5px; }
.loader-wrap .loader-inner{ position: fixed; top: 0; left: 0; width: 100%; height: 100%; display: flex; align-items: center; justify-content: center; background-color: #161523; z-index: 9999; }
.main-marqv:after { background: none !important; }


.animation_box{
  display: flex;
  align-items: center;
  gap: 10px;
}

/* Wrapper important hai */
.text-wrapper{
  position: relative;     min-height: 100px;
    width: 100%;
    margin-bottom: 40px;
}

/* All texts */
.nametag{
  position: absolute;
  left: 0; right: 0;
  top: 0;
  opacity: 0;
  animation: fadeUp 16s infinite;
}
.vast-text .text-wrapper h1 { font-size: 150px; }

/* Delay for each */
.nametag:nth-child(1){ animation-delay: 0s; }
.nametag:nth-child(2){ animation-delay: 4s; }
.nametag:nth-child(3){ animation-delay: 8s; }
.nametag:nth-child(4){ animation-delay: 12s; }

/* Animation */
@keyframes fadeUp{
  0%{
    opacity: 0;
    transform: translateY(20px);
  }

  10%, 25%{
    opacity: 1;
    transform: translateY(0);
  }

  35%, 100%{
    opacity: 0;
    transform: translateY(-20px);
  }
}


.swiper-container .swiper-wrapper .swiper-slide .item { margin-bottom: 10px; }
.main-marqv .slide-vertical .box {
    -webkit-animation: 100s linear infinite slide-vertical !important;
    animation: 100s linear infinite slide-vertical !important;
}
.inter-links-center .links-img { border-radius: 40px; }
.inter-links-center .links-img .img { padding-bottom: 10px !important;  }
.inter-links-center .links-img .img img { overflow: hidden;
    box-shadow: 0px 4px 4px 0px rgb(0 0 0) !important;
    border: 1px solid transparent !important;
    background: linear-gradient(#161523, #23212e) padding-box, linear-gradient(to right, #573885, #ec4899, #db7e61) border-box;
}
.portfolio_gallery .item { padding-bottom: 10px; }

.swiper-slide .item .video-box img { display: block; z-index: 1000;}
.swiper-slide .item .video-box img:hover { display: none !important;}
.blog_view_div .blog-detail-wrp .blog_details_img { 
    border-radius: 24px !important;
    background: linear-gradient(rgb(27, 26, 43), rgb(27, 26, 43)) padding-box padding-box, linear-gradient(to right, rgb(87, 56, 133), rgb(236, 72, 153), rgb(219, 126, 97)) border-box border-box;
    border-width: 1px !important;
    border-style: solid !important;
    border-color: transparent !important;
    border-image: initial !important;
    box-shadow: 0px 4px 4px 0px rgb(0 0 0) !important;
    
}
.animations_video_div { padding-bottom: 10px; }
.animations_video_div .fb-video { border-radius: 24px; }

.animations_video_div img, .animations_video_div iframe {
    border: 1px solid transparent !important;
    border-radius: 24px;
    box-shadow: 0px 4px 4px 0px rgb(0 0 0) !important;
    background: linear-gradient(#161523, #23212e) padding-box, linear-gradient(to right, #573885, #ec4899, #db7e61) border-box;
}

.pg-about .bg-img { box-shadow: 0px 4px 4px 0px rgb(0 0 0) !important; }
.testim-vrt .main-marqv .item { box-shadow: 0px 4px 4px 0px rgb(0 0 0) !important; }
.services-tab .serv-tab-cont .item .cont { box-shadow: 0px 4px 4px 0px rgb(0 0 0) !important; }
.main-post .iner-img img { box-shadow: 0px 4px 4px 0px rgb(0 0 0) !important; }


.swiper-slide .item .video-box iframe {
    border-radius: 24px;
    box-shadow: 0px 4px 4px 0px rgb(0 0 0) !important;
    /* background: linear-gradient(#161523, #23212e) padding-box, linear-gradient(to right, #573885, #ec4899, #db7e61) border-box; */
}

.portfolio_video_modal .modal-content { background: #161523; 
border: 1px solid transparent !important;
    border-radius: 24px;
    box-shadow: 0px 4px 4px 0px rgb(0 0 0) !important;
    background: linear-gradient(#161523, #23212e) padding-box, linear-gradient(to right, #573885, #ec4899, #db7e61) border-box;
}
.portfolio_video_modal .modal-content iframe { border-radius: 16px; }    




@media (min-width: 1600px) {
    .carousel_video_div img, .carousel_video_div video { border-radius: 50px; }
    .blog-modern { padding-top: 120px !important; } 
    
}

@media (min-width: 992px) {
    .rest > li:last-child .arrow { display: none !important; }
}

@media (max-width: 767px) {
    .carousel_video_div .carousel-caption { padding-bottom: 0px; }
    .sec-head h2::before { display: none; }
    .sec-head h2::after { content: ""; position: absolute; top: auto; left: 0px; width: 100%; height: 1px; margin-left: 0px; bottom: -5px; }
    .logo.icon-img-100 .logo-img { height: 60px; }
    .carousel_video_div .carousel-control-next, .carousel_video_div .carousel-control-prev { display: none; }
    .work-carsouel .work-controls .swiper-pagination { display: none; }
    .butn.butn-bg, .serv-img-reveal .block__title .d-flex.align-items-center h5 { font-size: 16px !important; }
    .testim-clasic .swiper-controls { display: none; }
    .top-gradient img { min-height: 30px !important; }
    .clients .brand .item, .testim-clasic .item .cont { padding: 0px 0; }
    .clients .brand .item, .testim-clasic .item .cont h4 { font-size: 16px !important; text-align: center; }
    .theme-border::after { content: "";  position: absolute; top: auto; bottom: -5px; left: 0px; width: 100%; height: 4px; margin-left: 0px; transform: translateY(0%); background: url(https://spztechnology.com/assets/theme-underline.png) no-repeat !important; background-size: contain !important; }
    .header-main-crev .hm-vdo { border-radius: 100px;  }
    .header-main-crev .vast-visual-video { border-radius: 100px; padding-left: 0px !important; padding-right: 0px !important; margin: 0px; }
}




